<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__trigmux__macros" kind="group">
    <compoundname>group_trigmux_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__trigmux__macros_1ga59c34203e9ffaf50185c89e25fa9fae0" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_DRV_VERSION_MAJOR</name>
        <initializer>1</initializer>
        <briefdescription>
<para>The driver major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" bodystart="266" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" line="266" />
      </memberdef>
      <memberdef id="group__group__trigmux__macros_1ga8e399e03f0175a2236eb170f5cb5bad8" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_DRV_VERSION_MINOR</name>
        <initializer>20</initializer>
        <briefdescription>
<para>The driver minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" bodystart="269" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" line="269" />
      </memberdef>
      <memberdef id="group__group__trigmux__macros_1gafd14c52327cfd004445d8c2b57893068" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_ID</name>
        <initializer><ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x33UL)</initializer>
        <briefdescription>
<para>TRIGMUX PDL ID. </para>        </briefdescription>
        <detaileddescription>
<para>The trigger multiplexer driver identifier </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" bodystart="272" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" line="272" />
      </memberdef>
      <memberdef id="group__group__trigmux__macros_1gab3a2b0e75a195d5fb7020cecc2caf948" kind="define" prot="public" static="no">
        <name>CY_TRIGGER_INFINITE</name>
        <initializer>(255UL)</initializer>
        <briefdescription>
<para>Values for the cycles parameter in the <ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger()</ref> function. </para>        </briefdescription>
        <detaileddescription>
<para>The trigger will be active until the user clears it or a hardware deactivates it. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" bodystart="275" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" line="275" />
      </memberdef>
      <memberdef id="group__group__trigmux__macros_1ga885d34d6a5be4de43ec78fcdfd1044c2" kind="define" prot="public" static="no">
        <name>CY_TRIGGER_DEACTIVATE</name>
        <initializer>(0UL)</initializer>
        <briefdescription>
<para>Use this parameter value to deactivate the trigger. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" bodystart="276" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" line="276" />
      </memberdef>
      <memberdef id="group__group__trigmux__macros_1ga9347a341f6903dee749841fae0dcb4a5" kind="define" prot="public" static="no">
        <name>CY_TRIGGER_TWO_CYCLES</name>
        <initializer>(2UL)</initializer>
        <briefdescription>
<para>The only valid cycles number value for PERI_ver2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" bodystart="277" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_trigmux.h" line="277" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>